// aplRecAlertTreeItem.h: interface for the CaplRecAlertTreeItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_APLRECALERTTREEITEM_H__91458FEF_91E0_4D43_868D_4DF6971A59C3__INCLUDED_)
#define AFX_APLRECALERTTREEITEM_H__91458FEF_91E0_4D43_868D_4DF6971A59C3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "aplTreeItem.h"

class CaplSubstTreeItem : public CaplTreeItem  //Полученные
{
public:
	CaplSubstTreeItem(CTreeCtrl *tree, CPSMDoc* pDoc, LPCTSTR name=0);
	virtual ~CaplSubstTreeItem();
	virtual bool CreateTreeItem(HTREEITEM parent_item);
	virtual bool GetName(CString &name);
	virtual void GetAccessedinstances(aplExtent& ext);
	virtual bool Expand(UINT action);
	virtual bool ShowInListCtrl(CListCtrl* list);
	bool RefreshItem();
	void ShowProperties();
	bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);
//	void CreateAlert();
	bool PasteItem(CaplTreeItem *item, CPoint *point);
	CString m_subst_name;
	CString m_subst_descr;
	aplExtent m_substitutes;
	aplExtent m_all_items;
	CaplInstance *m_pdr;
	bool m_bReloadContentOnExpand;
};

#endif // !defined(AFX_APLRECALERTTREEITEM_H__91458FEF_91E0_4D43_868D_4DF6971A59C3__INCLUDED_)
